develooper Front page | perl.perl5.porters | Postings from April 2019

[perl #134023] perl5 blead fails to build on NetBSD-8.0 with g++

Thread Next
From:
James E Keenan via RT
Date:
April 29, 2019 22:32
Subject:
[perl #134023] perl5 blead fails to build on NetBSD-8.0 with g++
Message ID:
rt-4.0.24-25034-1556577129-1559.134023-15-0@perl.org
On Thu, 11 Apr 2019 19:58:50 GMT, public@khwilliamson.com wrote:
> On 4/11/19 12:45 PM, James E Keenan (via RT) wrote:
> > # New Ticket Created by  James E Keenan
> > # Please include the string:  [perl #134023]
> > # in the subject line of all future correspondence about this issue.
> > # <URL: https://rt.perl.org/Ticket/Display.html?id=134023 >
> > 
> > 
> > Go to http://perl5.test-smoke.org/search and select 'netbsd', '8.0' and
> > 'g++' from the top 3 drop-downs on the right-hand side.
> > 
> > It appears this has been the case ever we since we started to get smoke
> > test reports from Carlos in September 2018.
> > 
> > blead does appear to build on NetBSD-7.2 with g++ (modulo test failures
> > reported in other tickets).
> > 
> > blead does appear to build on NetBSD-8.0 with gcc (same qualification).
> > 
> > Thank you very much.
> > Jim Keenan
> > 
> > perl perl perl
> > 
> > 
> 
> I had noticed that a while back, and just not investigated.  There's 
> something wrong/different with static asserts in this version of g++.

Can you elaborate on what you think the problems with this version of g++ are?

Should we expect them to show up other OS/version combinations?

Thank you very much.

-- 
James E Keenan (jkeenan@cpan.org)

---
via perlbug:  queue: perl5 status: open
https://rt.perl.org/Ticket/Display.html?id=134023

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About